Overview | Package | Class | Tree | Deprecated | Index | Help
| INFORMIX eWay API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.informixadapter.appconn
Class DbApplicationConnectionFactoryImpl

    java.lang.Object
      com.stc.connector.framework.util.JndiJCAObject
          com.stc.connector.informixadapter.appconn.DbApplicationConnectionFactoryImpl

All Implemented Interfaces:
  com.stc.connector.appconn.common.ApplicationConnectionFactory, com.stc.connector.appconn.db.DbApplicationConnectionFactory, java.io.Serializable, javax.naming.Referenceable

Direct Known Subclasses:
  InformixApplicationConnectionFactory

    public class DbApplicationConnectionFactoryImpl

extends com.stc.connector.framework.util.JndiJCAObject
implements com.stc.connector.appconn.db.DbApplicationConnectionFactory

A factory class for creating DbApplicationConnection.

Version:
  $Revision: 1.3 $
Author:
  $Author: pveerava $
See Also:
  Serialized Form

Field Summary
`protected javax.sql.DataSource` | `mDataSource` A DataSource instance used for a creating connection.

Constructor Summary
`DbApplicationConnectionFactoryImpl(javax.sql.DataSource ds)` Create a new instance of DbApplicationConnectionFactory.
`DbApplicationConnectionFactoryImpl(javax.sql.DataSource ds, javax.resource.spi.ConnectionManager cm)` Creates a new instance of DbApplicationConnectionFactory

Method Summary
`com.stc.connector.appconn.common.ApplicationConnection` | `getConnection()` Gets the DbApplicationConnection which represents a connection handle to the underlying Db EIS.
`com.stc.connector.appconn.common.ApplicationConnection` | `getConnection(java.util.Properties connProps)` Gets the Application Connection which represents a connection handle to the underlying EIS using the connection information in the Properties.
`javax.sql.DataSource` | `getDataSource()`

Methods inherited from class com.stc.connector.framework.util.JndiJCAObject
`getReference, getVersion, setReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.naming.Referenceable
`getReference`

Field Detail

### mDataSource

    protected transient javax.sql.DataSource mDataSource

  A DataSource instance used for a creating connection.

Constructor Detail

### DbApplicationConnectionFactoryImpl

    public DbApplicationConnectionFactoryImpl(javax.sql.DataSource ds)

  Create a new instance of DbApplicationConnectionFactory.

  Parameters:
    `ds` - a DataSource instance used for creating a connection.

### DbApplicationConnectionFactoryImpl

    public DbApplicationConnectionFactoryImpl(javax.sql.DataSource ds,
                                              javax.resource.spi.ConnectionManager cm)

  Creates a new instance of DbApplicationConnectionFactory

  Parameters:
    `ds` - a DataSource instance used for creating a connection.
    `cm` - a ConnectionManager instance.

Method Detail

### getConnection

    public com.stc.connector.appconn.common.ApplicationConnection getConnection()
                                                                         throws com.stc.connector.appconn.common.ApplicationConnectionException

  Gets the DbApplicationConnection which represents a connection handle to the underlying Db EIS.

  Specified by:
    `getConnection` in interface `com.stc.connector.appconn.common.ApplicationConnectionFactory`
  Returns:
    A DbApplicationConnection instance.
  Throws:
    `com.stc.connector.appconn.common.ApplicationConnectionException` - upon error.

### getConnection

    public com.stc.connector.appconn.common.ApplicationConnection getConnection(java.util.Properties connProps)
                                                                         throws com.stc.connector.appconn.common.ApplicationConnectionException

  Gets the Application Connection which represents a connection handle to the underlying EIS using the connection information in the Properties.

  Specified by:
    `getConnection` in interface `com.stc.connector.appconn.common.ApplicationConnectionFactory`
  Parameters:
    `connProps` - Properties containing connection specific information.
  Returns:
    An Application Connection which represents a connection handle to the EIS.
  Throws:
    `com.stc.connector.appconn.common.ApplicationConnectionException` - upon error.

### getDataSource

    public javax.sql.DataSource getDataSource()

  Specified by:
    `getDataSource` in interface `com.stc.connector.appconn.db.DbApplicationConnectionFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
| INFORMIX eWay API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD